| QxOrm 1.2.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Namespace List
- Namespace Members

Classes | Typedefs | Functions
qx::service Namespace Reference
QxService : QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network)

QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network) More...

## Classes
class | IxParameter
| qx::service::IxParameter : common interface for all parameters transfered by QxService module of QxOrm library More...
class | IxService
| qx::service::IxService : common interface for all services defined with QxService module of QxOrm library More...
class | QxClientAsync
| qx::service::QxClientAsync : class helper to easily execute an asynchronous transaction using a multi-thread process More...
class | QxConnect
| qx::service::QxConnect : define connection parameters used by QxService module of QxOrm library (this class is a singleton) More...
class | QxServer
| qx::service::QxServer : server side to manage a thread pool of incoming connections (new request from client) More...
class | QxService
| qx::service::QxService<INPUT, OUTPUT> : concrete service class with INPUT parameters and OUTPUT parameters More...
class | QxThread
| qx::service::QxThread : thread to execute a transaction of QxService module More...
class | QxThreadPool
| qx::service::QxThreadPool : thread-safe thread pool to manage list of threads for executing all transactions of QxService module More...
class | QxTools
| qx::service::QxTools : provide some tools to read/write on socket all datas transfered by QxService module of QxOrm library More...
class | QxTransaction
| qx::service::QxTransaction : transaction of QxService module (contains request from client and reply from server) More...
## Typedefs
typedef boost::shared_ptr < IxParameter > | IxParameter_ptr
typedef boost::shared_ptr < IxService > | IxService_ptr
typedef boost::shared_ptr < QxClientAsync > | QxClientAsync_ptr
typedef boost::shared_ptr < QxThreadPool > | QxThreadPool_ptr
typedef boost::shared_ptr < QxTransaction > | QxTransaction_ptr
## Functions
QX_DLL_EXPORT void | execute_client (IxService *pService, const QString &sMethod)

## Detailed Description

QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network)

## Typedef Documentation

typedef boost::shared_ptr<IxParameter> qx::service::IxParameter_ptr

Definition at line 68 of file IxParameter.h.

typedef boost::shared_ptr<IxService> qx::service::IxService_ptr

Definition at line 106 of file IxService.h.

typedef boost::shared_ptr<QxClientAsync> qx::service::QxClientAsync_ptr

Definition at line 81 of file QxClientAsync.h.

typedef boost::shared_ptr<QxThreadPool> qx::service::QxThreadPool_ptr

Definition at line 105 of file QxThreadPool.h.

typedef boost::shared_ptr<QxTransaction> qx::service::QxTransaction_ptr

Definition at line 147 of file QxTransaction.h.

## Function Documentation

QX_DLL_EXPORT void qx::service::execute_client | ( | IxService * | pService,
|  | const QString & | sMethod
| ) |  |